# -*- coding: utf-8 -*-

from common.mod import Mod
import client.extraClientApi as clientApi
from testMenuScript.menuConst import ModVersion, ModName, ClientSystemName, ClientSystemClsPath
from mod_log import logger

@Mod.Binding(name=ModName, version=ModVersion)
class NeteaseMenuClient(object):
	@Mod.InitClient()
	def MenuClientInit(self):
		logger.info("%s initClient", ModName)
		clientApi.RegisterSystem(ModName, ClientSystemName, ClientSystemClsPath)

	@Mod.DestroyClient()
	def MenuClientDestroy(self):
		logger.info("%s destroyClient", ModName)